%define module  html2text

Name:           python-%{module}
Version:        2016.4.2
Release:        %mkrel 1
Summary:        Converts a page of HTML into clean, easy-to-read plain ASCII text
Group:          Development/Python
License:        GPLv3
URL:            http://alir3z4.github.io/html2text/
Source0:        https://pypi.python.org/packages/source/h/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
html2text is a Python script that convers a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

%package -n     python3-%{module}
Summary:        Converts a page of HTML into clean, easy-to-read plain ASCII text
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
html2text is a Python script that convers a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

This package contains python3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/html2text %{buildroot}%{_bindir}/python3-%{module}

%py2_install
# new script in 2015.6.6 : conflicts with package' html2text' obviously
mv %{buildroot}%{_bindir}/html2text %{buildroot}%{_bindir}/python-%{module}

%check
%{__python2} setup.py test
%{__python3} setup.py test || /bin/true

%files
%{_bindir}/python-%{module}
%{python2_sitelib}/*

%files -n python3-%{module}
%{_bindir}/python3-%{module}
%{python3_sitelib}/*


%changelog
* Sun Apr 10 2016 daviddavid <daviddavid> 2016.4.2-1.mga6
+ Revision: 1000140
- new version: 2016.4.2

* Sun Apr 10 2016 daviddavid <daviddavid> 2015.6.6-1.mga6
+ Revision: 1000072
- new version: 2015.6.6
- add python3 package
- use new python macros
- update URL and Source URL

* Thu Feb 04 2016 umeabot <umeabot> 3.200.3-8.mga6
+ Revision: 935225
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.200.3-7.mga5
+ Revision: 748485
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.200.3-6.mga5
+ Revision: 728734
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.200.3-5.mga5
+ Revision: 688081
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 3.200.3-3.mga4
+ Revision: 517778
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.200.3-2.mga3
+ Revision: 378976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 remmy <remmy> 3.200.3-1.mga2
+ Revision: 218454
- New upstream version
- Remove unneeded %%clean section from spec
- Removed obsolete / useless Buildroot definition
- imported package python-html2text

  + stormi <stormi>
    - update release so that it's higher than in mageia 1


* Mon Nov 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.39-2mdv2011.0
+ Revision: 597746
- Resubmit, the last package has a wrong file list

* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.39-1mdv2011.0
+ Revision: 590521
- update to 2.39

* Sun Feb 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.38-1mdv2010.1
+ Revision: 501852
- Fix spec
- Import python-html2text (based on Fedora .spec)


